# Invoke-RASVDIHost.md

## NAME

Invoke-RASVDIHost

## SYNOPSIS

The cmdlet invoke a command on an object of type VDI Host.

## SYNTAX

\*\*Invoke-RASVDIHost \[[ProviderId](#providerid-string)] *(uint)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Command](#Command) {CancelSchedule} -[Id](#id-string) *(string)* \[[User](#user-string) *(string)*] \[[VDITemplateId](#vditemplateid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASVDIHost \[-[InputObject](#inputobject)] *(*[*VDIHost*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md)*)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Command](#Command) {CancelSchedule} \[[User](#user-string) *(string)*] \[[VDITemplateId](#vditemplateid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASVDIHost \[\[-[ProviderId](#providerid-string)] *(uint)*] \[\[-[SiteId](#siteid-string)] *(uint)*] -[Command](#Command) {CancelSchedule} \[[User](#user-string) *(string)*] \[[VDITemplateId](#vditemplateid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Invoke-RASVDIHost** \[[VMId](#vmid-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Command](#Command) {CancelSchedule} \[[User](#user-string) *(string)*] \[[VDITemplateId](#vditemplateid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASVDIHost \[-[VDITemplateObj](#VDITemplateObj)] *(*[*Template*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md)*)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Command](#Command) {CancelSchedule} \[[User](#user-string) *(string)*] \[[VDITemplateId](#vditemplateid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet invoke a command on an object of type VDI Host.

## PARAMETERS

## ProviderId (uint)

The ID of a Provider server from which to obtain the VM list.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the desktop VM list.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (string)

The ID of a desktop VM for which to retrieve the information.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## VDITemplateObj ([Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md))

The VDI Template for which to retrieve the desktops of.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## VDITemplateId (uint)

The ID of the VDI Template for which to retrieve the desktops of.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## User (string)

The username assigned to Desktop.

If empty square brackets (\[]) are passed, the desktop list will be filtered with those with an assigned user.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## VMId (string)

The ID of the VM for which to retrieve the information.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([VDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md))

The VDI Host info object.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Command ([VDICommand](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdicommand.md))

Command.

Accepted values: CancelSchedule.

Possible values: CancelSchedule

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[VDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASVDIHost -VMID "42311235-09c5-ca15-337d-b9723015edf0" -ProviderID 1 -Command CancelSchedule

Invokes CancelSchedule command on the VDI Host properties specified by the VMId and ProviderId.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASVDIHost -ProviderID 1 -Command CancelSchedule

Invokes CancelSchedule command on all the VDI Hosts found within the Provider with Id 1.

## RELATED LINKS

* [Get-RASVDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdihost.md)
* [Remove-RASVDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasvdihost.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasvdihost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
